Atom feed of this document
 
 
 

 4.1.3. List Specific Limit

Verb URI Description
GET /limits/type List assigned limits of the specified type.

Normal Response Code(s): 200

Error Response Code(s): dnsFault (400, 500), serviceUnavailable (503), unauthorized (401)

This call provides a list of all applicable limits of the specified type for the specified account.

The following examples show the requests and corresponding responses to list all applicable limits of the specified type for the specified account:

 

Example 4.9. List Specified Limit Request: XML

GET https://dns.api.rackspacecloud.com/v1.0/1234/limits/rate_limit
Accept: application/xml
X-Auth-Token:
									ea85e6ac-baff-4a6c-bf43-848020ea3812
Content-Type: application/xml
Content-Length: 0

 

Example 4.10. List Specified Limit Request: JSON

GET https://dns.api.rackspacecloud.com/v1.0/1234/limits/rate_limit
Accept: application/json
X-Auth-Token:
									ea85e6ac-baff-4a6c-bf43-848020ea3812
Content-Type: application/json
Content-Length: 0

 

Example 4.11. List Specified Limit Response: XML

Status: 200 OK
Date: Thu, 28 Jul 2011 21:54:21 GMT
X-API-VERSION:
									1.0.17
Content-Type: application/xml
Content-Length: 678

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<limits xmlns="http://docs.openstack.org/common/api/v1.0">
    <rates>
        <rate uri="*/status/*" regex=".*/v\d+\.\d+/(\d+/status).*">
            <limit verb="GET" value="5" remaining="0" unit="SECOND"/>
        </rate>
        <rate uri="*/domains*" regex=".*/v\d+\.\d+/(\d+/domains).*">
            <limit verb="GET" value="100" remaining="0" unit="MINUTE"/>
            <limit verb="POST" value="25" remaining="0" unit="MINUTE"/>
            <limit verb="PUT" value="50" remaining="0" unit="MINUTE"/>
            <limit verb="DELETE" value="50" remaining="0" unit="MINUTE"/>
        </rate>
    </rates>
</limits>

 

Example 4.12. List Specified Limit Response: JSON

Status: 200 OK
Date: Thu, 28 Jul 2011 21:54:21 GMT
X-API-VERSION:
									1.0.17
Content-Type: application/json
Content-Length: 671

{
  "rates" : {
    "rate" : [ {
      "uri" : "*/status/*",
      "limit" : [ {
        "unit" : "SECOND",
        "verb" : "GET",
        "value" : 5
      } ],
      "regex" : ".*/v\\d+\\.\\d+/(\\d+/status).*"
    }, {
      "uri" : "*/domains*",
      "limit" : [ {
        "unit" : "MINUTE",
        "verb" : "GET",
        "value" : 100
      }, {
        "unit" : "MINUTE",
        "verb" : "POST",
        "value" : 25
      }, {
        "unit" : "MINUTE",
        "verb" : "PUT",
        "value" : 50
      }, {
        "unit" : "MINUTE",
        "verb" : "DELETE",
        "value" : 50
      } ],
      "regex" : ".*/v\\d+\\.\\d+/(\\d+/domains).*"
    } ]
  }
}



loading table of contents...